/*
CUSTOM BACKGROUND AND WEBSITE SIZING
*/
body {
    min-height:100vh;
    background-color:white;
    text-align:center;
    min-width:415px;
    position:relative;
}
#content {
    width:100%;
    max-width:1200px;
    display: inline-block;
}

/*
USED FOR FORMATTING
*/
.clear {
    clear: both;
}
.clearNavBar{
    margin-top:55px;
}
.avoidBanner {
    margin-top:60px;
}
.finalSection {
    margin-bottom:40px;
}

/*
ERRORMESSAGE FORMATTING
*/
#errorMessageCancelButton{
    float:right;
    width:30px;
    text-align:center;
    border-radius:5px;
}

/*
CUSTOM BUTTON CSS
*/
.defaultLink {
    text-decoration:none;
    color:inherit;
}
.defaultLink:hover {
    text-decoration:none;
    color:inherit;
}
.customButton:hover {
    font-size:1.1em;
    box-shadow: 5px 5px 10px rgba(0,0,0,0.5);
    -moz-box-shadow: 5px 5px 10px rgba(0,0,0,0.5);
    -webkit-box-shadow: 5px 5px 10px rgba(0,0,0,0.5);
    transform: translate(0px, -2px);
    border:none;
}
.customButton:active {
    box-shadow:0;
    -moz-box-shadow:0;
    -webkit-box-shadow:0;
    transform: translate(0px, 2px);
    border:none;
}
.customButton:focus {
    box-shadow:0;
    border:none;
    outline:none;
}
.customButton:visited {
    border:none;
    outline:none;
}

/*
HAMBURGER ICON
*/
.hamburgerIcon {
    width: 50px;
    height: 48px;
    margin-top:1px;
    text-align:center;
    padding:0;
    border:0;
    border-radius:7px;
    background-color:black;
    box-shadow: inset 1px 0px 2px 1px rgba(255,255,255,0.4);
    -moz-box-shadow: inset 1px 0px 2px 1px rgba(255,255,255,0.4);
    -webkit-box-shadow: inset 1px 0px 2px 1px rgba(255,255,255,0.4);
}
.hamburgIcon:hover {
    box-shadow: inset 1px 0px 2px 1px rgba(255,255,255,0.4);
    -moz-box-shadow: inset 1px 0px 2px 1px rgba(255,255,255,0.4);
    -webkit-box-shadow: inset 1px 0px 2px 1px rgba(255,255,255,0.4);
}
.hamburgIcon:active {
    box-shadow: inset 1px 0px 2px 1px rgba(255,255,255,0.4);
    -moz-box-shadow: inset 1px 0px 2px 1px rgba(255,255,255,0.4);
    -webkit-box-shadow: inset 1px 0px 2px 1px rgba(255,255,255,0.4);
}
.hamburgIcon:focus {
    box-shadow: inset 1px 0px 2px 1px rgba(255,255,255,0.4);
    -moz-box-shadow: inset 1px 0px 2px 1px rgba(255,255,255,0.4);
    -webkit-box-shadow: inset 1px 0px 2px 1px rgba(255,255,255,0.4);
}
.hamburgIcon:visited {
    box-shadow: inset 1px 0px 2px 1px rgba(255,255,255,0.4);
    -moz-box-shadow: inset 1px 0px 2px 1px rgba(255,255,255,0.4);
    -webkit-box-shadow: inset 1px 0px 2px 1px rgba(255,255,255,0.4);
}
.hamburgerComponent {
    width: 85%;
    height: 5px;
    background-color: white;
    margin:0;
    padding:0;
    margin-left:7.5%;
    margin-top:6px;
    border-radius:3px;
}
.hamburgerComponent1 {
    margin-top:0;
}

/*
NAVIGATION MODAL
*/
#navList {
    width:100%;
    text-decoration:none;
    list-style-type:none;
    text-align:left;
    font-weight:bold;
}
.navListItem {
    min-height:20px;
    border-radius:3px;
    padding:3px;
    margin-bottom:2px;
}
.subNavList {
    width:100%;
    text-decoration:none;
    list-style-type:none;
    text-align:left;
    font-weight:normal;
}
.navListSubItem {
    min-height:20px;
    border-radius:3px;
    padding:3px;
    margin-bottom:2px;
}
.navSelectable:hover {
    font-size:1.1em;
    box-shadow: 5px 5px 10px rgba(0,0,0,0.5);
    -moz-box-shadow: 5px 5px 10px rgba(0,0,0,0.5);
    -webkit-box-shadow: 5px 5px 10px rgba(0,0,0,0.5);
    transform: translate(0px, -2px);
    border:none;
}
.navSelectable:active {
    box-shadow:0;
    -moz-box-shadow:0;
    -webkit-box-shadow:0;
    transform: translate(0px, 2px);
    border:none;
}
.navSelectable:focus {
    box-shadow:0;
    border:none;
    outline:none;
}
.navSelectable:visited {
    border:none;
    outline:none;
}
#navListLanguageSelector {
    height:30px;
}
#navListLanguageContainer {
    height:100%;
    width:100%;
}
.navListFlagHolder {
    height:100%;
    width:30px;
    float:left;
    margin-right:15px;
}
.navListFlagImg {
    height:100%;
    width:30px;
    
}

/*
HEADER NAVBAR
*/
#headerNavContainer {
    margin-bottom:10px;
    height:50px;
    position:fixed;
    top:0px;
    left:0px;
    width:100%;
    min-width:420px;
    z-index:1;
}
header {
    width:100%;
    height:100%;
    background-color: black;
    color:black;
    line-height:50px;
}

/*
HEADER DIV
*/
#defaultHeader {
    float:left;
    min-width:50px;
    max-width:70%;
    overflow:hidden;
    margin-left:5px;
}
#defaultHeaderImg {
    max-width:47px;
    height:100%;
    max-height:45px;
    margin-top:5px;
    float:left;
    margin-right:5px;
        margin-left:5px;
}
#defaultNav {
    float:right;
    margin-right:1%;
}
.defaultHeaderTitleComponent {
    font-family: Comic Sans MS;
    font-weight:bold;
    float:left;
    color:white;
    font-size: 30px;
}

/*
FOOTER
*/
#footerContainer {
    margin-bottom:0px;
    height:50px;
    position:fixed;
    bottom:0px;
    left:0px;
    width:100%;
    min-width:420px;
}
footer {
  width:100%;
  height:100%;
  background-color: black;
  color:white;
  line-height:50px;
}
#footerLeftContainer {
    width:55%;
    float:left;
    text-align:left;
    padding-left:5px;
}
#footerRightContainer {
    width:45%;
    float:left;
    text-align:right;
    padding-right:5px;
    height:50px;
}